#!/bin/bash
. ~/.configured
ATTEMPT=0

function try_smolt {
        ((ATTEMPT=ATTEMPT+1))
        WID=`xdotool search "mythfrontend" | head -1`
        xdotool windowfocus $WID
        status=$?
        if [ $status = 0 ]
        then
                sleep 2
                xdotool key "ctrl+alt+p"
                xdotool key "ctrl+alt+p"
                fb_status=0
                echo "FB=NO" > ~/.configured
        fi

        if [ $ATTEMPT = 200 ]
        then
                fb_status=0
        fi

}

function fix_lirc_socket {
  . /etc/systemconfig

  # Fix LircSocket in mythtv database
  SOCKET=`mysql -u mythtv -pmythtv -B --skip-column-names -h "${dbhost}" -D mythconverg -e \
         "SELECT data FROM settings WHERE value = 'LircSocket' AND hostname = '${hostname}';"`
    if [ "${SOCKET}" != "/var/run/lirc/lircd" ]; then
      mysql -u mythtv -pmythtv -B --skip-column-names -h "${dbhost}" -D mythconverg -e \
      "UPDATE settings SET data = '/var/run/lirc/lircd' WHERE value = 'LircSocket' AND hostname = '${hostname}';"
    else
      echo ">>>"
      echo ">>> ATTENTION! ATTENTION! ATTENTION!"
      echo ">>> Unable to connect the the MySQL database to make needed"
      echo ">>> changes to the LIRC socket."
      echo ">>> LIRC now uses /var/run/lirc/lircd and /dev/lirc is now"
      echo ">>> obsolete. Update your MythTV settings to reflect this."
      echo ">>>"
    fi
}


if [ ! -e /tmp/debug ]
then
	if [ ! -e /tmp/nomfe ]
	then
		if [ ! -e ~/.mythtv/pub-uuid ]
		then
			if [ x$FB != xNO ]
			then
				fb_status=4
				while [ $fb_status != 0 ]
				do
                    fix_lirc_socket
#					try_smolt
					if [ $fb_status != 0  ]
					then
						sleep 1
					fi
				done
			fi
		fi
	fi
fi



